commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gary Gregory (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (VFS-442) HDFS FileSystem Provider
Date Mon, 29 Oct 2012 18:16:12 GMT

    [ https://issues.apache.org/jira/browse/VFS-442?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13486227#comment-13486227
] 

Gary Gregory commented on VFS-442:
----------------------------------

The first thing to check is that you can build with Maven, I use Maven 3.0.4. For example:
"mvn clean site".

I get an error:

{noformat}
[INFO] --- maven-bundle-plugin:2.3.7:manifest (bundle-manifest) @ commons-vfs2 ---
[ERROR] Manifest org.apache.commons:commons-vfs2:jar:2.1-SNAPSHOT : The default package '.'
is not permitted by the Import-Package syntax.
 This can be caused by compile errors in Eclipse because Eclipse creates
valid class files regardless of compile errors.
The following package(s) import from the default package [org.apache.commons.vfs2.provider.hdfs]
[ERROR] Error(s) found in manifest configuration
{noformat}
                
> HDFS FileSystem Provider
> ------------------------
>
>                 Key: VFS-442
>                 URL: https://issues.apache.org/jira/browse/VFS-442
>             Project: Commons VFS
>          Issue Type: New Feature
>    Affects Versions: 2.0
>            Reporter: Dave Marion
>            Priority: Minor
>              Labels: accumulo, hdfs
>         Attachments: VFS-442-1.patch
>
>


--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message